Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 177365 - Ebuild for gnome-mastermind-0.3
Summary: Ebuild for gnome-mastermind-0.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Games
URL: http://www5.autistici.org/gnome-maste...
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-05-06 18:30 UTC by Mikel Olasagasti
Modified: 2007-08-26 14:49 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gnome-mastermind-0.2 (gnome-mastermind-0.2.ebuild,700 bytes, text/plain)
2007-05-06 18:31 UTC, Mikel Olasagasti
Details
gnome-mastermind-0.3.ebuild (gnome-mastermind-0.3.ebuild,578 bytes, text/plain)
2007-08-25 01:33 UTC, Tupone Alfredo
Details
gnome-mastermind-0.3-gentoo.patch (gnome-mastermind-0.3-gentoo.patch,220 bytes, patch)
2007-08-25 01:35 UTC, Tupone Alfredo
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikel Olasagasti 2007-05-06 18:30:43 UTC
Ebuild for gnome-mastermind-0.2, a mastermind like game for GNOME.

Reproducible: Always

Steps to Reproduce:
Comment 1 Mikel Olasagasti 2007-05-06 18:31:20 UTC
Created attachment 118373 [details]
gnome-mastermind-0.2
Comment 2 Luca Marturana 2007-05-07 13:42:06 UTC
Ebuild works on x86 too
Comment 3 Filippo Argiolas 2007-06-01 11:22:07 UTC
New release out there :)
Please update the ebuild!
Check www5.autistici.org/gnome-mastermind for more infos about the new release
Comment 4 Luca Marturana 2007-06-04 11:39:24 UTC
The attached ebuild works good with version 0.3 too.
Comment 5 Tupone Alfredo gentoo-dev 2007-08-25 01:33:49 UTC
Created attachment 129104 [details]
gnome-mastermind-0.3.ebuild

I'm uploading the ebuild for this game looking for gnome maintainer comments on that.
Comment 6 Tupone Alfredo gentoo-dev 2007-08-25 01:35:08 UTC
Created attachment 129105 [details, diff]
gnome-mastermind-0.3-gentoo.patch

A patch to remove installation of documentation with make install. I did with dodoc and selected what to install
Comment 7 Tupone Alfredo gentoo-dev 2007-08-25 01:37:04 UTC
gnome herds: could you please review this?

TIA
Comment 8 Rémi Cardona gentoo-dev 2007-08-25 05:48:42 UTC
Couple things :
- there are no written deps for gtk+, cairo or else
- please use gnome2_src_unpack instead of unpack/cd
- please use DOCS="..." instead of dodoc, this way you can entirely drop src_install()

That should be a step in the right direction :)

The ebuild doesn't make use of the games eclass, maybe you should take a look at the gnome-games ebuild to see how to mix both gnome2 and games eclass. Maybe that's something else to look into.
Comment 9 Tupone Alfredo gentoo-dev 2007-08-25 11:52:34 UTC
A fixed package, following the suggestion on comment #8 has been put in portage.
Thanks